Package weka.classifiers.lazy.kstar

# Class KStarNominalAttribute

java.lang.Object
weka.classifiers.lazy.kstar.KStarNominalAttribute

All Implemented Interfaces:
  `KStarConstants`, `RevisionHandler`

public class KStarNominalAttribute extends Object implements KStarConstants, RevisionHandler
A custom class which provides the environment for computing the transformation probability of a specified test instance nominal attribute to a specified train instance nominal attribute.

Version:
  $Revision 1.0 $
Author:
  Len Trigg (len@reeltwo.com), Abdelaziz Mahoui (am14@cs.waikato.ac.nz)

## Field Summary

### Fields inherited from interface weka.classifiers.lazy.kstar.KStarConstants

`B_ENTROPY, B_SPHERE, EPSILON, FLOOR, FLOOR1, INITIAL_STEP, LOG2, M_AVERAGE, M_DELETE, M_MAXDIFF, M_NORMAL, NUM_RAND_COLS, OFF, ON, ROOT_FINDER_ACCURACY, ROOT_FINDER_MAX_ITER`

## Constructor Summary

Constructors
Constructor
Description
`KStarNominalAttribute(Instance test, Instance train, int attrIndex, Instances trainSet, int[][] randClassCol, KStarCache cache)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`void`
`setOptions(int missingmode, int blendmethod, int blendfactor)`
Sets the options.
`double`
`transProb()`
Calculates the probability of the indexed nominal attribute of the test instance transforming into the indexed nominal attribute of the training instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KStarNominalAttribute

public KStarNominalAttribute(Instance test, Instance train, int attrIndex, Instances trainSet, int[][] randClassCol, KStarCache cache)
Constructor

## Method Details

### transProb

public double transProb()
Calculates the probability of the indexed nominal attribute of the test instance transforming into the indexed nominal attribute of the training instance.

Returns:
  the value of the transformation probability.

### setOptions

public void setOptions(int missingmode, int blendmethod, int blendfactor)
Sets the options.

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision